diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index 2438e6d..3fae9a5 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -330,13 +330,13 @@ def create_backup_job(sid):
         args.append('--verbose')
     if 'dqoute' in data and data['dqoute']:
         args.append('--quote-all-identifiers')
-    if data['type'] == 'global':
+    if data['type'] == 'globals':
         args.append('--globals-only')
 
     try:
         p = BatchProcess(
             desc=BackupMessage(
-                BACKUP.SERVER if data['type'] != 'global' else BACKUP.GLOBALS,
+                BACKUP.SERVER if data['type'] != 'globals' else BACKUP.GLOBALS,
                 sid,
                 data['file'].encode('utf-8') if hasattr(
                     data['file'], 'encode'
diff --git a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
index dcc4bb5..dc2f7e9 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
@@ -395,7 +395,7 @@ class BackupCreateJobTest(BaseTestGenerator):
                  type='globals'
              ),
              url='/backup/job/{0}',
-             expected_cmd_opts=['--verbose'],
+             expected_cmd_opts=['--globals-only'],
              not_expected_cmd_opts=[],
              expected_exit_code=[0, None]
          ))
